> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a preview pipeline for a product

<Warning>
  This endpoint is in beta and subject to change.
</Warning>


## OpenAPI

````yaml openapi/channel-api.json POST /channel-api/v1.0/previews
openapi: 3.1.0
info:
  title: Fourthwall APIs
  description: Service used for management of orders, carts, and payments.
  termsOfService: https://fourthwall.com/terms-of-service
  contact:
    name: Backend team
    url: https://fourthwall.com
    email: backend@fourthwall.com
  version: unspecified
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
externalDocs:
  description: OpenAPI documentation
  url: https://docs.fourthwall.com
paths:
  /channel-api/v1.0/previews:
    post:
      tags:
        - Previews
        - Shops
      summary: Generate preview images for a product (sync)
      operationId: createPreview
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/com.fourthwall.app.channel.shop.model.CreatePreviewXRequest
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/com.fourthwall.app.channel.shop.model.CreatePreviewXResponse
components:
  schemas:
    com.fourthwall.app.channel.shop.model.CreatePreviewXRequest:
      type: object
      properties:
        productId:
          type: string
        regions:
          type: array
          items:
            $ref: >-
              #/components/schemas/com.fourthwall.app.channel.shop.model.PreviewRegionInputXRequest
        colors:
          type: array
          items:
            type: string
        sizes:
          type: array
          items:
            type: string
      required:
        - productId
        - regions
      title: Create Preview X Request
    com.fourthwall.app.channel.shop.model.CreatePreviewXResponse:
      type: object
      properties:
        pipelineId:
          type: string
        customizationId:
          type: string
        images:
          type: array
          items:
            $ref: >-
              #/components/schemas/com.fourthwall.app.channel.shop.model.PreviewImageXResponse
      required:
        - images
        - pipelineId
      title: Create Preview X Response
    com.fourthwall.app.channel.shop.model.PreviewRegionInputXRequest:
      type: object
      properties:
        region:
          type: string
        imageId:
          type: string
          description: Media image id from POST /media/images.
        placementId:
          type: string
        fillAllPlacements:
          type: boolean
      required:
        - imageId
        - region
      title: Preview Region Input X Request
    com.fourthwall.app.channel.shop.model.PreviewImageXResponse:
      type: object
      properties:
        url:
          type: string
        width:
          type: integer
          format: int32
        height:
          type: integer
          format: int32
        style:
          type: string
        color:
          type: string
        size:
          type: string
        region:
          type: string
      required:
        - color
        - height
        - style
        - url
        - width
      title: Preview Image X Response

````